当前位置:首页 > 开发 > 移动开发 > 正文

更新Anadroid SDK Tooks之后,Eclipse提示No update were found

发表于: 2014-07-31   作者:xp9802   来源:转载   浏览:
摘要: 使用Android SDK Manager 更新了Anadroid SDK Tooks 之后, 打开eclipse提示 This Android SDK requires Android Developer Toolkit version 23.0.0 or above, 点击Check for Updates  检测一会后提示 No update were found 

使用Android SDK Manager 更新了Anadroid SDK Tooks 之后,

打开eclipse提示 This Android SDK requires Android Developer Toolkit version 23.0.0 or above, 点击Check for Updates 

检测一会后提示 No update were found 

 

网上查到的解决办法:

1.打开Eclipse,关闭提示升级对话框,点击Help -> Install New Software...

2."Work with"选择“Android Developer Tools Update Site..."的那一项,勾选呈现的Develop Tools和NDK Plugins

3.最关键的一步:作废下面的“Contact all sites...",然后next

4.呈现更新项,依次选择并赞成,完成更新

5.更新完毕,重启Eclipse,项目编译经由过程

操作后报 Cannot complete the install because of a conflicting dependency 错误

 

没办法了选择卸载ADT重新安装

1、eclipse中已安装ADT的卸载方法 

  打开eclipse后,Help->About Eclipse SDK->Installation Details,把已安装的ADT选中后,点击Uninstall卸载即可(需要卸载多个文件)。 

 

2、ADT组件下载ADT后本地安装(可安装当前eclipse版本适应的ADT,根据自己来决定安装具体ADT版本) 

  2.1.网上下载ADT-23.0.0.zip文件,保存到eclipse目录下(D:\eclipse) 

  2.2.启动eclipse后,点击Help > Install New Software,打开install窗口后,点击按钮Add打开Add Site窗口,Name(输入ADT),Location(选择到D:\eclipse\ADT-25.0.0.zip),点击OK 

  2.3.选中所有待安装,按照提示安装即可。

 

强制覆盖

把下载好的ADT解压出来的plugin和feature文件夹拷贝到eclipse安装目录下面

 

没想到卸载也报错,

uninstalling software has encountered a problem

An error occurred while uninstalling

session context was:(profile=profile, phase=org.eclipse.equinox.internal.p2.engine.phases.Uninstall, operand=[R]org.eclipse.rcp.configuration_root.win32.win32.x86 1.0.0.M20130204-1200 --> null, action=org.eclipse.equinox.internal.p2.touchpoint.natives.actions.CleanupzipAction).

Backup of file D:\Program Files\adt-bundle-windows-x86-20131030\eclipse\eclipse.exe failed.

Can not remove : D:\Program Files\adt-bundle-windows-x86-20131030\eclipse\eclipse.exe

本地安装照样报错,

Cannot complete the install because of a conflicting dependency.

  Software being installed: Android Development Tools 23.0.0.1245622 (com.android.ide.eclipse.adt.feature.feature.group 23.0.0.1245622)

  Software currently installed: Android Developer Tools 22.3.0.v201310242005-887826 (com.android.ide.eclipse.adt.package.product 22.3.0.v201310242005-887826)

  Only one of the following can be installed at once: 

    ADT XML Overlay 23.0.0.1245622 (overlay.com.android.ide.eclipse.adt.overlay 23.0.0.1245622)

    ADT XML Overlay 22.3.0.v201310242005-887826 (overlay.com.android.ide.eclipse.adt.overlay 22.3.0.v201310242005-887826)

  Cannot satisfy dependency:

    From: Android Development Tools 23.0.0.1245622 (com.android.ide.eclipse.adt.feature.feature.group 23.0.0.1245622)

    To: overlay.com.android.ide.eclipse.adt.overlay [23.0.0.1245622]

  Cannot satisfy dependency:

    From: Android Development Tools 22.3.0.v201310242005-887826 (com.android.ide.eclipse.adt.feature.group 22.3.0.v201310242005-887826)

    To: overlay.com.android.ide.eclipse.adt.overlay [22.3.0.v201310242005-887826]

  Cannot satisfy dependency:

    From: ADT Package 22.3.0.v201310242005-887826 (com.android.ide.eclipse.adt.package.feature.group 22.3.0.v201310242005-887826)

    To: com.android.ide.eclipse.adt.feature.group 22.2.0

  Cannot satisfy dependency:

    From: Android Developer Tools 22.3.0.v201310242005-887826 (com.android.ide.eclipse.adt.package.product 22.3.0.v201310242005-887826)

    To: com.android.ide.eclipse.adt.package.feature.group [22.3.0.v201310242005-887826]

强制覆盖后TMD还提示 This Android SDK requires Android Developer Toolkit version 23.0.0 or above,老子不跟你玩了,直接去Android官网上下一个新的Eclipse开发环境

 

没想到更新了ADT带来这么多问题,以后没有必要坚决不更新了。

更新Anadroid SDK Tooks之后,Eclipse提示No update were found

  • 0

    开心

    开心

  • 0

    板砖

    板砖

  • 0

    感动

    感动

  • 0

    有用

    有用

  • 0

    疑问

    疑问

  • 0

    难过

    难过

  • 0

    无聊

    无聊

  • 0

    震惊

    震惊

编辑推荐
在更新SDK之后,进入Eclipse设置Android SDK目录的时候,会突然提示ADT或者SDK版本低什么的方案 And
拜GFW所赐,对于初学者的我来说,总会出现一些莫名其妙的问题 首先说明一下发表这一篇博文的“历史
首先说明一下发表这一篇博文的“历史原因”吧,因为在更新SDK之后,进入Eclipse设置Android SDK目录
首先说明一下发表这一篇博文的“历史原因”吧,因为在更新SDK之后,进入Eclipse设置Android SDK目录
最近祖国越来越强了,强得android开发工具都没法更新了,但是祖国再怎么强也阻挡不了我开发的脚步。
最近祖国越来越强了,强得android开发工具都没法更新了,但是祖国再怎么强也阻挡不了我开发的脚步。
Android 打包 签名 eclipse 错误 Export aborted because fatal lint errors were found Android 下
重新安装操作系统及JDK后,在Eclipse中用Ant编译报错:Specified VM install not found: type Stand
在eclipse中启动新建的android项目的时候,控制台提示如图: 方法1.cmd中adb kill-server,然后adb
我们在进行eclipse插件开发时,通常通过分发jar包的方式将插件文件包发送给使用的人安装。通常的安
版权所有 IT知识库 CopyRight © 2009-2015 IT知识库 IT610.com , All Rights Reserved. 京ICP备09083238号